# $Revision: 1.17 $, $Date: 2012/05/12 11:50:25 $
Summary:	Modern, cross-platform, distributed IRC client based on the Qt4 framework
Summary(pl.UTF-8):	Nowoczesny, wieloplatformowy i rozproszony klient IRC oparty na bibliotece Qt4
Name:		quassel
Version:	0.8.0
Release:	1
License:	GPL v2, GPL v3
Group:		Applications/Communications
Source0:	http://www.quassel-irc.org/pub/%{name}-%{version}.tar.bz2
# Source0-md5:	546e2a950f44c4c0262c09d48f14e998
URL:		http://www.quassel-irc.org/
BuildRequires:	QtCore-devel
BuildRequires:	QtSql-backend
BuildRequires:	QtSql-devel
BuildRequires:	QtSvg-devel
BuildRequires:	QtWebKit-devel
BuildRequires:	QtXmlPatterns-devel
BuildRequires:	automoc4
BuildRequires:	cmake
BuildRequires:	kde4-kdelibs-devel
BuildRequires:	phonon-devel
BuildRequires:	qt4-build
BuildRequires:	qt4-qmake
BuildRequires:	rpmbuild(macros) >= 1.600
BuildRequires:	sed >= 4.0
Suggests:	QtSql-sqlite3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Quassel IRC is modern Internet chat client. It allows one (or
multiple) client(s) can attach to and detach from a central core
(distributed), but also can act plain client. It is developed for and
tested on Linux®, Windows®, and MacOS X®, and should work on other
platforms supporting Qt4 library (cross-platform).

%description -l pl.UTF-8
Quassel IRC jest nowoczesnym klientem rozmów w Internecie. Pozwala na
podłączanie się i odłączanie wielu klientów od centralnego rdzenia
(rozproszony), ale również może zachowywać się jak zwyczajny klient.
Jest rozwijany i testowany na platformy Linux®, Windows® oraz MacOS
X®, powinien także działać na innych platformach wspierających
bibliotekę Qt4 (wieloplatformowy).

%prep
%setup -q

%build
install -d build
cd build
%cmake \
	-DWITH_KDE=ON \
	..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
        DESTDIR=$RPM_BUILD_ROOT \
        kde_htmldir=%{_kdedocdir} \
        kde_libs_htmldir=%{_kdedocdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_datadir}/apps/quassel
%{_iconsdir}/hicolor/*/*/*.png
%{_pixmapsdir}/quassel.png
%{_desktopdir}/kde4/quassel.desktop
%{_desktopdir}/kde4/quasselclient.desktop


%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: quassel.spec,v $
Revision 1.17  2012/05/12 11:50:25  blekot
- 0.8.0

Revision 1.16  2011/03/28 07:39:32  lisu
- up to 0.7.2

Revision 1.15  2011/02/02 02:12:37  sparky
- BR: QtXmlPatterns-devel

Revision 1.14  2010/09/22 07:26:54  lisu
- 0.7.1

Revision 1.13  2010/09/15 08:08:30  lisu
- up to 0.7.0
- merge with DEVEL

Revision 1.12.2.1  2010/09/14 11:04:01  lisu
- up to 0.7-rc1

Revision 1.12  2010/09/07 12:20:21  blekot
- S: QtSql-sqlite3
- rel 2

Revision 1.11  2010/09/06 19:43:36  lisu
- drop cmake options provided by %%cmake macro

Revision 1.10  2010/09/06 19:41:24  lisu
- up to 0.6.2
- package icons

Revision 1.9  2010/04/19 08:10:30  lisu
- 0.6.1

Revision 1.8  2010/04/15 07:36:59  lisu
- 0.6.0

Revision 1.7  2010/02/23 17:48:56  sparky
- dropped unused BR: gettext-devel, rpm-pythonprov

Revision 1.6  2010/02/23 12:17:23  lisu
- 0.5.2

Revision 1.5  2009/12/03 14:25:41  lisu
- up to 0.5.1
- add missing BR: QtSql-backend
- cosmetics

Revision 1.4  2009/12/02 17:22:51  sparky
- BR: QtSql-devel, QtSvg-devel, qt4-build, qt4-qmake

Revision 1.3  2009/08/03 15:23:11  arekm
- cmake case sensitive var values

Revision 1.2  2009/04/03 09:22:43  vip
- more BR's
- (pl,en) desc

Revision 1.1  2009/04/01 21:53:35  vip
- new, NFY

